SpringXmlSubTask (XDoclet 1.2.3 API)
Keywords: xdoclet.modules.spring.SpringXmlSubTask class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.spring
Class SpringXmlSubTask

    java.lang.Object
      xdoclet.DocletSupport
          xdoclet.SubTask
              xdoclet.TemplateSubTask
                  xdoclet.XmlSubTask
                      xdoclet.modules.spring.SpringXmlSubTask

All Implemented Interfaces:
  Serializable

public class SpringXmlSubTask
extends XmlSubTask

Generates XML file to wire beans in the Spring framework.

Author:
  Craig Walls (xdoclet@habuma.com)
See Also:
  Serialized Form
ant.element
  display-name="spring.xml" name="springxml" parent="xdoclet.modules.spring.SpringDocletTask"
created
  March 5, 2004

Nested Class Summary

Nested classes inherited from class xdoclet.TemplateSubTask
`TemplateSubTask.ExtentTypes, TemplateSubTask.OfType`

Field Summary

Fields inherited from class xdoclet.DocletSupport
`currentClassTag, currentFieldTag, currentMethodTag`

Constructor Summary
`SpringXmlSubTask()`

Method Summary
`protected void` | `engineStarted()` Describe what the method does
`void` | `execute()` Describe what the method does
`String` | `getDefaultAutowire()`
`String` | `getDefaultDependencyCheck()`
`String` | `getDefaultLazyInit()`
`void` | `setDefaultAutowire(String autowire)` Sets the default autowiring mode to apply to all beans in the generated file.
`void` | `setDefaultDependencyCheck(String dependencyCheck)` Sets the default dependency checking mode for all beans in the generated file.
`void` | `setDefaultLazyInit(String lazyInit)` Sets the default lazy initialization mode for all beans in the generated file.
`void` | `setDestinationFile(String destinationFile)` Sets the name of the generated bean XML file.

Methods inherited from class xdoclet.XmlSubTask
`copyAttributesFrom, engineFinished, getDtdURL, getPublicId, getSchema, getSchemaURL, getSystemId, getUseIds, getXmlencoding, isValidateXML, setDtdURL, setPublicId, setSchema, setSchemaURL, setSystemId, setUseIds, setValidateXML, setXmlencoding, startProcess`

Methods inherited from class xdoclet.TemplateSubTask
`addOfType, addOfType, addPackageSubstitution, generateForClass, getAcceptAbstractClasses, getAcceptInterfaces, getDestinationFile, getEngine, getExtent, getGeneratedFileName, getGenerationManager, getHavingClassTag, getOfType, getPackageSubstitutions, getSubTaskClassName, getTemplateURL, init, isPackageSubstitutionInheritanceSupported, isPrefixWithPackageStructure, javaFile, matchesGenerationRules, processInnerClasses, setAcceptAbstractClasses, setAcceptInterfaces, setEngine, setExtent, setExtentValue, setGenerationManager, setHavingClassTag, setOfType, setPackageSubstitutionInheritanceSupported, setPackageSubstitutions, setPrefixWithPackageStructure, setSubTaskClassName, setTemplateFile, setTemplateURL, startEngine, startProcessForAll, startProcessPerClass, validateOptions`

Methods inherited from class xdoclet.SubTask
`addConfigParam, getConfigParams, getConfigParamsAsMap, getContext, getDestDir, getMergeDir, getSubTaskName, getXJavaDoc, setDestDir, setMergeDir, setSubTaskName`

Methods inherited from class xdoclet.DocletSupport
`getCurrentClass, getCurrentClassTag, getCurrentConstructor, getCurrentField, getCurrentFieldTag, getCurrentMethod, getCurrentMethodTag, getCurrentPackage, getCurrentTag, isDocletGenerated, popCurrentClass, pushCurrentClass, setCurrentClass, setCurrentClassTag, setCurrentConstructor, setCurrentField, setCurrentFieldTag, setCurrentMethod, setCurrentMethodTag, setCurrentPackage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpringXmlSubTask

    public SpringXmlSubTask()

Method Detail

### getDefaultAutowire

    public String getDefaultAutowire()

### getDefaultDependencyCheck

    public String getDefaultDependencyCheck()

### getDefaultLazyInit

    public String getDefaultLazyInit()

### setDestinationFile

    public void setDestinationFile(String destinationFile)

  Sets the name of the generated bean XML file. Defaults to "spring.xml".

  Overrides:
    `setDestinationFile` in class `TemplateSubTask`
  Parameters:
    `destinationFile` -

### setDefaultAutowire

    public void setDefaultAutowire(String autowire)

  Sets the default autowiring mode to apply to all beans in the generated file. Each bean can override this default by setting the autowire attribute of \@spring.bean. Defaults to "no".

  Parameters:
    `autowire` -

### setDefaultDependencyCheck

    public void setDefaultDependencyCheck(String dependencyCheck)

  Sets the default dependency checking mode for all beans in the generated file. Each bean can override this default setting the dependency-check attribute of \@spring.bean. Defaults to "none".

  Parameters:
    `dependencyCheck` -

### setDefaultLazyInit

    public void setDefaultLazyInit(String lazyInit)

  Sets the default lazy initialization mode for all beans in the generated file. Each bean can override this default by setting the lazy-init attribute of \@spring.bean. Defaults to "false".

  Parameters:
    `lazyInit` -

### execute

    public void execute()
                 throws XDocletException

  Describe what the method does

  Overrides:
    `execute` in class `TemplateSubTask`
  Throws:
    `XDocletException`

### engineStarted

    protected void engineStarted()
                          throws XDocletException

  Description copied from class: `TemplateSubTask`
  Describe what the method does

  Overrides:
    `engineStarted` in class `TemplateSubTask`
  Throws:
    `XDocletException` - Describe the exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD